# class ActiveLdap::Ldif::ModifyRecord::Operation

### Attributes

attribute[R]
attributes[R]
options[R]
type[R]

### Public Class Methods

new(type, attribute, options, attributes) click to toggle source

    # File lib/active_ldap/ldif.rb, line 872
    def initialize(type, attribute, options, attributes)
      @type = type
      @attribute = attribute
      @options = options
      @attributes = attributes
    end

### Public Instance Methods

==(other) click to toggle source

    # File lib/active_ldap/ldif.rb, line 900
    def ==(other)
      other.is_a?(self.class) and
        @type == other.type and
        full_attribute_name == other.full_attribute_name and
        Attributes.normalize(@attributes) ==
        Attributes.normalize(other.attributes)
    end

add?() click to toggle source

    # File lib/active_ldap/ldif.rb, line 883
    def add?
      @type == "add"
    end

delete?() click to toggle source

    # File lib/active_ldap/ldif.rb, line 887
    def delete?
      @type == "delete"
    end

full_attribute_name() click to toggle source

    # File lib/active_ldap/ldif.rb, line 879
    def full_attribute_name
      [@attribute, *@options].join(";")
    end

replace?() click to toggle source

    # File lib/active_ldap/ldif.rb, line 891
    def replace?
      @type == "replace"
    end

to_s() click to toggle source

    # File lib/active_ldap/ldif.rb, line 895
    def to_s
      Attribute.encode(@type, full_attribute_name) +
        Attributes.encode(@attributes)
    end